#!/bin/sh
#
# Creates the correct dhcpd.conf file from the info obtained from
# the resolv.conf file
#

TMP_DIR=/tmp

DOMAIN=`cat /etc/resolv.conf | grep "domain " | cut -f 2 -d " "`
echo "`cat /etc/resolv.conf | grep nameserver`" > $TMP_DIR/mkd.tmp 

cd /etc/

# Replace the place holder with the domain name
sed /@DOMAIN-NAME@/s//${DOMAIN}/ dhcpd.conf.tmp > dhcpd.conf.1

# Build the list of domain name servers to be sent to the clients
if [ -f $TMP_DIR/dnslist.tmp ]; then
  rm -f $TMP_DIR/dnslist.tmp
fi
cat $TMP_DIR/mkd.tmp | while read NAMETMP; do
  echo -n "`echo "${NAMETMP}" | cut -f 2 -d " "`, " >> $TMP_DIR/dnslist.tmp
done
echo -n "@" >> $TMP_DIR/dnslist.tmp

NAMETMP=`cat $TMP_DIR/dnslist.tmp`
NAMESERVER=`echo ${NAMETMP} | sed /", @"/s//""/`

# Replace the place holder with the name server list
sed /@NAME-SERVERS@/s//"${NAMESERVER}"/ dhcpd.conf.1 > dhcpd.conf

# Clean up
rm -f $TMP_DIR/dnslist.tmp
rm -f $TMP_DIR/mkd.tmp
rm -f dhcpd.conf.1
