#!/bin/sh
#
# FrazierWall multi-user (runlevel 3) init script

echo "Going multiuser..."

# Start the system loggers
/sbin/syslogd -m 240
/sbin/klogd

# Start the inet system
if [ -f /etc/frazierwall/frazierwall.conf ]; then
	. /etc/rc.d/rc.inet
else
	echo
	echo "-------------------------ERROR--------------------------" 
	echo "This FrazierWall boot disk does not appear to have been"
	echo "properly configured.  The network subsystem can not be"
	echo "configured.  Please rerun the FrazierWall Disk Creator."
	echo "--------------------------------------------------------"
	echo
fi

# Start the portmap (?)
#/sbin/portmap

# Start the inetd superserver
/usr/sbin/inetd

# Start the cron daemon
/usr/sbin/cron

# Ensure basic filesystem sanity
chmod 755 /
chmod 1777 /tmp

# Start any misc local commands
if [ -x /etc/rc.d/rc.local ]; then
	. /etc/rc.d/rc.local
fi
