#! /bin/sh
#
# FrazierWall single user startup script

PATH=/sbin:/bin:/usr/sbin:/usr/bin
umask 022

#
#	See if system needs to be setup.
#
if [ -x /sbin/unconfigured.sh ]
then
  /sbin/unconfigured.sh
fi

#
#	Trap CTRL-C &c only in this shell so we can interrupt subprocesses.
#
trap ":" 2 3 20


# Start update
/sbin/update &

# Update the issue file
echo "FrazierWall Linux v`cat /var/lib/lrpkg/root.version`" > /etc/issue
cat /etc/disclaimer >> /etc/issue

# Mount proc
mount -t proc /proc /proc

# Load the modules
if [ -x /etc/rc.d/rc.modules ]; then
	. /etc/rc.d/rc.modules
fi

# Initialize the system serial ports
if [ -x /etc/rc.d/rc.serial ]; then
	. /etc/rc.d/rc.serial
fi


#
#	Finish setup if needed.
#
if [ -x /sbin/setup.sh ]
then
  /sbin/setup.sh
fi

# Clean up /var/run and create /var/run/utmp so that we can login.
: > /var/run/utmp

# Set pseudo-terminal access permissions.
chmod 666 /dev/tty[p-za-e][0-9a-f]
chown root:tty /dev/tty[p-za-e][0-9a-f]
