#!/bin/sh
#
#

check_yn() {

YN=""

while [ "$YN" = "" ]; do
	echo -n $YNMSG
	read YN
	[ "$YN" = "y" ] && YN="Y"
	[ "$YN" = "n" ] && YN="N"
	[ "$YN" = "Y" ] || [ "$YN" = "N" ] || YN=""
done

}

echo
echo
echo "FrazierWall floppy builder script v1.0"
echo

if ! [ "$UID" = "0" ]; then
	echo "You should be logged in as root to create the FrazierWall floppy disk. Non-root users"
	echo "can experience permission problems under some distributions when attempting to"
	echo "access the floppy drive.  To cancel, press CTRL-C... to proceed, press enter"
	read JUNK
fi

echo "Building Diskette"

if [ "$1" = "-n" ]; then
	DMFMT=NO
	FLOPPY=/dev/fd0
else
	if [ -a /dev/fd0H1440 ]; then
		FLOPPY=/dev/fd0H1440
		DOFMT=YES
	elif [ -a /dev/fd0h1440 ]; then
		FLOPPY=/dev/fd0h1440
		DOFMT=YES
	else
		echo "Unable to find device /dev/fd0H1440 or /dev/fd0h1440... the drive can not"
		echo "be automatically formatted.  If the disk in the drive is already formatted"
		echo "with a FAT file system, press enter. If you need to cancel, press CTRL-C"
		FLOPPY=/dev/fd0
		DOFMT=NO
	fi
	if [ "$DOFMT" = "YES" ]; then
		PATH=$PATH:/sbin:/usr/sbin:/usr/local/sbin

		FDFMT=`which fdformat`
		MKFS=`which mkdosfs`
		if [ -z "$FDFMT" ]; then
			echo "Unable to find the fdformat command, the floppy can not be automatically formatted"
			echo "If the floppy is already formatted with a FAT file system, press enter. If you need"
			echo "to cancel, press CTRL-C"
			DOFMT=NO
		fi
		if [ -z "$MKFS" ]; then
			echo "Unable to find the mkdosfs command, the floppy can not be automatically formatted"
			echo "If the floppy is already formatted with a FAT file system, press enter. If you need"
			echo "to cancel, press CTRL-C"
			DMFMT=NO
		fi
	fi
fi

echo
echo "Make sure that you have a floppy in the first floppy drive"
echo "in this system and press enter to continue..."
read JUNK

if [ "$DOFMT" = "YES" ]; then
	echo "Formatting $FLOPPY"
#	$FDFMT $FLOPPY
	$MKFS -F 12 -v -n firewall $FLOPPY
fi

echo "Installing boot loader..."
syslinux/syslinux $FLOPPY
echo "Copying files..."
mcopy floppy/* a: -v
echo "Done."

